Package ghidra.app.util.bin.format.omf.omf

# Class OmfRecordTypes

java.lang.Object
ghidra.app.util.bin.format.omf.omf.OmfRecordTypes

public class OmfRecordTypes extends Object
Relocatable OMF record types

See Also:
  - OMF: Relocatable Object Module Format

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `ALIAS`
  `static final int`
  `BAKPAT`
  `static final int`
  `BLKDEF`
  `static final int`
  `BLKEND`
  `static final int`
  `CEXTDEF`
  `static final int`
  `COMDAT`
  `static final int`
  `COMDEF`
  `static final int`
  `COMENT`
  `static final int`
  `DEBSYM`
  `static final int`
  `END`
  `static final int`
  `ENDREC`
  `static final int`
  `EXTDEF`
  `static final int`
  `FIXUPP`
  `static final int`
  `GRPDEF`
  `static final int`
  `LCOMDEF`
  `static final int`
  `LEDATA`
  `static final int`
  `LEXTDEF`
  `static final int`
  `LHEADR`
  `static final int`
  `LIBDIC`
  `static final int`
  `LIBHED`
  `static final int`
  `LIBLOC`
  `static final int`
  `LIBNAM`
  `static final int`
  `LIDATA`
  `static final int`
  `LINNUM`
  `static final int`
  `LINSYM`
  `static final int`
  `LLNAMES`
  `static final int`
  `LNAMES`
  `static final int`
  `LOCSYM`
  `static final int`
  `LPUBDEF`
  `static final int`
  `MODEND`
  `static final int`
  `NBKPAT`
  `static final int`
  `OVLDEF`
  `static final int`
  `PEDATA`
  `static final int`
  `PIDATA`
  `static final int`
  `PUBDEF`
  `static final int`
  `REDATA`
  `static final int`
  `REGINT`
  `static final int`
  `RHEADR`
  `static final int`
  `RIDATA`
  `static final int`
  `SEGDEF`
  `static final int`
  `START`
  `static final int`
  `THEADR`
  `static final int`
  `TYPDEF`
  `static final int`
  `VENDEXT`
  `static final int`
  `VERNUM`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OmfRecordTypes()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static final String`
  `getName(int type)`
  Gets the name of the given record type

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### RHEADR

    public static final int RHEADR
    See Also:
      - Constant Field Values

  - ### REGINT

    public static final int REGINT
    See Also:
      - Constant Field Values

  - ### REDATA

    public static final int REDATA
    See Also:
      - Constant Field Values

  - ### RIDATA

    public static final int RIDATA
    See Also:
      - Constant Field Values

  - ### OVLDEF

    public static final int OVLDEF
    See Also:
      - Constant Field Values

  - ### ENDREC

    public static final int ENDREC
    See Also:
      - Constant Field Values

  - ### BLKDEF

    public static final int BLKDEF
    See Also:
      - Constant Field Values

  - ### BLKEND

    public static final int BLKEND
    See Also:
      - Constant Field Values

  - ### DEBSYM

    public static final int DEBSYM
    See Also:
      - Constant Field Values

  - ### THEADR

    public static final int THEADR
    See Also:
      - Constant Field Values

  - ### LHEADR

    public static final int LHEADR
    See Also:
      - Constant Field Values

  - ### PEDATA

    public static final int PEDATA
    See Also:
      - Constant Field Values

  - ### PIDATA

    public static final int PIDATA
    See Also:
      - Constant Field Values

  - ### COMENT

    public static final int COMENT
    See Also:
      - Constant Field Values

  - ### MODEND

    public static final int MODEND
    See Also:
      - Constant Field Values

  - ### EXTDEF

    public static final int EXTDEF
    See Also:
      - Constant Field Values

  - ### TYPDEF

    public static final int TYPDEF
    See Also:
      - Constant Field Values

  - ### PUBDEF

    public static final int PUBDEF
    See Also:
      - Constant Field Values

  - ### LOCSYM

    public static final int LOCSYM
    See Also:
      - Constant Field Values

  - ### LINNUM

    public static final int LINNUM
    See Also:
      - Constant Field Values

  - ### LNAMES

    public static final int LNAMES
    See Also:
      - Constant Field Values

  - ### SEGDEF

    public static final int SEGDEF
    See Also:
      - Constant Field Values

  - ### GRPDEF

    public static final int GRPDEF
    See Also:
      - Constant Field Values

  - ### FIXUPP

    public static final int FIXUPP
    See Also:
      - Constant Field Values

  - ### LEDATA

    public static final int LEDATA
    See Also:
      - Constant Field Values

  - ### LIDATA

    public static final int LIDATA
    See Also:
      - Constant Field Values

  - ### LIBHED

    public static final int LIBHED
    See Also:
      - Constant Field Values

  - ### LIBNAM

    public static final int LIBNAM
    See Also:
      - Constant Field Values

  - ### LIBLOC

    public static final int LIBLOC
    See Also:
      - Constant Field Values

  - ### LIBDIC

    public static final int LIBDIC
    See Also:
      - Constant Field Values

  - ### COMDEF

    public static final int COMDEF
    See Also:
      - Constant Field Values

  - ### BAKPAT

    public static final int BAKPAT
    See Also:
      - Constant Field Values

  - ### LEXTDEF

    public static final int LEXTDEF
    See Also:
      - Constant Field Values

  - ### LPUBDEF

    public static final int LPUBDEF
    See Also:
      - Constant Field Values

  - ### LCOMDEF

    public static final int LCOMDEF
    See Also:
      - Constant Field Values

  - ### CEXTDEF

    public static final int CEXTDEF
    See Also:
      - Constant Field Values

  - ### COMDAT

    public static final int COMDAT
    See Also:
      - Constant Field Values

  - ### LINSYM

    public static final int LINSYM
    See Also:
      - Constant Field Values

  - ### ALIAS

    public static final int ALIAS
    See Also:
      - Constant Field Values

  - ### NBKPAT

    public static final int NBKPAT
    See Also:
      - Constant Field Values

  - ### LLNAMES

    public static final int LLNAMES
    See Also:
      - Constant Field Values

  - ### VERNUM

    public static final int VERNUM
    See Also:
      - Constant Field Values

  - ### VENDEXT

    public static final int VENDEXT
    See Also:
      - Constant Field Values

  - ### START

    public static final int START
    See Also:
      - Constant Field Values

  - ### END

    public static final int END
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### OmfRecordTypes

    public OmfRecordTypes()

- ## Method Details

  - ### getName

    public static final String getName(int type)
    Gets the name of the given record type
    Parameters:
      `type` - The record type
    Returns:
      The name of the given record type